<app-header-logged pageOrigine="/sim-decla-objet">

</app-header-logged>
<app-ariane etape=1> </app-ariane>
<ion-content>
    <app-refresher></app-refresher>
    <div style="margin-top: -20px" class="bgImage">
        <img src="./../../../assets/img/Dakar-Senegal-Afrique- car-rapide.jpg">
    </div>
    <div class="container">
        <form text-center [formGroup]='onDeclarationForm'>
            <div class="headingContent">
                <p class="heading" translate>simuler_votre_devis_auto</p>
            </div>
            <div>
                <!-- debut  -->
                <ion-radio-group [ngModelOptions]="{standalone: true}" [(ngModel)]=usage>
                    <ion-grid>
                        <ion-row>
                            <ion-col size=12 text-center>
                                <ion-label class="bottomLine" translate>Catégorie du véhicule</ion-label>
                            </ion-col>
                        </ion-row>
                    </ion-grid>
                    <ion-grid>
                        <ion-row *ngIf="usages.length > 0">
                            <ion-col class="usage" text-center *ngFor="let monusage of monUsages; let i = index" [size]=" i == 4 ? 12 : 6">
                                <ion-label (click)="getUsage(monusage)" class="labelRadio">
                                    <img *ngIf="12 == monusage.id" class="iconeRadioUsage" [ngClass]="usage === monusage.libelle ? 'radioChecked':''" src="../../assets/icon/car-solid.svg" alt="" />
                                    <img *ngIf="15 == monusage.id" class="iconeRadioUsage" [ngClass]="usage === monusage.libelle ? 'radioChecked':''" src="../../assets/icon/bus-alt-solid.svg" alt="" />
                                    <img *ngIf="13 == monusage.id" class="iconeRadioUsage" [ngClass]="usage === monusage.libelle ? 'radioChecked':''" src="../../assets/icon/truck-moving-solid.svg" alt="" />
                                    <img *ngIf="14 == monusage.id" class="iconeRadioUsage" [ngClass]="usage === monusage.libelle ? 'radioChecked':''" src="../../assets/icon/truck-moving-solid.svg" alt="" />
                                    <img *ngIf="16 == monusage.id" class="iconeRadioUsage" [ngClass]="usage === monusage.libelle ? 'radioChecked':''" src="../../assets/icon/motorcycle-solid.svg" alt="" />
                                    <p class="labelRadio">{{monusage.libelle}}</p>
                                </ion-label><br>
                                <ion-radio mode="md" class="radioBouton" [value]="usage"></ion-radio>
                            </ion-col>
                        </ion-row>
                    </ion-grid>
                </ion-radio-group>
                <p ion-text class="text08" *ngIf="usage == null && formInvalide">
                    <ion-text color="danger" translate>
                        champ obligatoire
                    </ion-text>
                </p>
                <!--Lister les attribut à afficher-->
                <div *ngFor="let objet of this.tabAttributs; let i=index">
                    <div *ngIf="objet.affichageEtape == 1">
                        <!--Type Texte-->
                        <div *ngIf="objet.typeInput == 'text'">
                            <p class="bottomLine" translate>{{objet.libelle}}</p>
                            <div class="whiteBlock">
                                <ion-input type="{{objet.typeInput}}" placeholder="{{objet.placeholder}}" name="{{objet.code}}" id="{{objet.code}}" formControlName="{{objet.code}}" [autofocus]="autofocus"></ion-input>
                            </div>
                            <p ion-text class="text08" *ngIf="formInvalide && onDeclarationForm.get(objet.code).hasError('required')">
                                <ion-text color="danger" translate>
                                    champ obligatoire
                                </ion-text>
                            </p>
                        </div>
                        <!--Type Range-->
                        <div *ngIf="objet.typeInput == 'range'">
                            <div class="scaleContainer">
                                <p class="heading" translate>{{objet.libelle}}</p>
                                <div class="scaleValue">
                                    <p class="value" *ngIf="valuePuissance <= (objet.valeurMaxRange-10)">
                                        {{valuePuissance}}
                                    </p>
                                    <p class="value" *ngIf="valuePuissance > (objet.valeurMaxRange-10)">{{objet.valeurMaxRange-10}}+</p>
                                    CV
                                </div>
                            </div>
                            <div class="rangeBlock">
                                <ion-range name="{{objet.code}}" ticks="true" (ionChange)="onChangeRange($event, objet.code)" min="0" max="{{objet.valeurMaxRange}}" step="1" ticks="false" snaps="true" formControlName="{{objet.code}}">
                                    <ion-icon class="icon1" slot="start" name="ios-ellipse"></ion-icon>
                                    <ion-icon class="icon2" slot="end" name="ios-ellipse"></ion-icon>
                                </ion-range>
                                <div class="rangeNumbers">
                                    <p>0</p>
                                    <p>10</p>
                                    <p>20</p>
                                    <p>30</p>
                                    <!-- <p>40</p> -->
                                    <p>Plus</p>
                                </div>
                            </div>
                        </div>
                        <!--Type Select-->
                        <div *ngIf="objet.typeInput == 'select' && objet.affichageEtape != -1">
                            <p class="bottomLine" translate>{{objet.libelle}}</p>
                            <div>
                                <ion-select width="100%" okText="OK" [cancelText]="dismiss" formControlName="{{objet.code}}">
                                    <ion-select-option *ngFor="let listeValeur of objet.listevaleur" [value]="listeValeur.libelle">
                                        {{listeValeur.libelle}}
                                    </ion-select-option>
                                </ion-select>
                            </div>
                            <p ion-text class="text08" *ngIf="formInvalide  && onDeclarationForm.get(objet.code).hasError('required')">
                                <ion-text color="danger" translate>
                                    champ obligatoire
                                </ion-text>
                            </p>
                        </div>
                        <!--Type Radio-->
                        <div *ngIf="objet.typeInput == 'radio'">
                            <p class="bottomLine" translate>{{objet.code === 'valTypeEnergie' ? 'Energie' : 'Remorque'}}</p>
                            <ion-radio-group formControlName="{{objet.code}}">
                                <ion-grid>
                                    <ion-row>
                                        <ion-col *ngFor="let item of objet.listevaleur">
                                            <label class="labelRadio" (click)="getCarburant(item.code)" *ngIf="objet.radioImage">
                                                <img class="iconeRadio" [ngClass]="{'radioChecked':  item.code == carburant}"
                                                    src="../../assets/icon/{{item.code}}.svg" [alt]="item.code" />
                                                <p class="labelRadio">{{item.libelle}}</p>
                                            </label>
                                            <ion-radio mode="md" [ngClass]="{'radioBouton': objet.radioImage}" [value]="item.code" [checked]="objet.code == 'valTypeEnergie'? carburant== item.code : valRemorque == item.code"></ion-radio><br>
                                            <ion-label *ngIf="!objet.radioImage" class="labelRadio" translate>
                                                {{item.libelle === 'Oui' ? 'Avec Remorque' : 'Sans Remorque'}}
                                            </ion-label>
                                        </ion-col>
                                    </ion-row>
                                </ion-grid>
                            </ion-radio-group>
                            <p ion-text class="text08" *ngIf="formInvalide && onDeclarationForm.get(objet.code).hasError('required')">
                                <ion-text color="danger" translate>
                                    champ obligatoire
                                </ion-text>
                            </p>
                        </div>
                        <!--Type Number-->
                        <div *ngIf="objet.typeInput == 'number'">
                            <p class="bottomLine" translate>{{objet.libelle}}</p>
                            <div class="whiteBlock">
                                <ion-input placeholder="{{objet.placeholder}}" type="tel" name="{{objet.code}}" (ionChange)="onInputNumber($event, objet.code)" formControlName="{{objet.code}}">
                                </ion-input>
                            </div>

                            <p ion-text class="text08" *ngIf="formInvalide && onDeclarationForm.get(objet.code).hasError('required')">
                                <ion-text color="danger" translate>
                                    champ obligatoire
                                </ion-text>
                            </p>
                            <p ion-text class="text08" *ngIf="objet.code == valeurDeclaree">
                                <ion-text color="danger" translate>
                                    la valeur doit être inférieure à la valeur neuve
                                </ion-text>
                            </p>
                            <p ion-text class="text08" *ngIf="objet.code == annee && onDeclarationForm.get(objet.code).hasError('min')">
                                <ion-text color="danger" translate>
                                    l'année doit être supérieure à {{minAnnee}}
                                </ion-text>
                            </p>
                            <p ion-text class="text08" *ngIf="objet.code == annee && onDeclarationForm.get(objet.code).hasError('max')">
                                <ion-text color="danger" translate>
                                    l'année doit être inférieure à {{maxAnnee}}
                                </ion-text>
                            </p>
                            <p ion-text class="text08" *ngIf="objet.code == nombrePlace && onDeclarationForm.get(objet.code).hasError('min')">
                                <ion-text color="danger" translate>
                                    le nombre de place doit être supérieur à {{minNombrePlace}}
                                </ion-text>
                            </p>
                            <p ion-text class="text08" *ngIf="objet.code == nombrePlace && onDeclarationForm.get(objet.code).hasError('max')">
                                <ion-text color="danger" translate>
                                    le nombre de place doit être inférieure à {{maxNombrePlace}}
                                </ion-text>
                            </p>
                            <!-- <p ion-text class="text08" *ngIf="onDeclarationForm.get(objet.code).hasError('pattern')">
                                <ion-text color="danger" translate>
                                    l'année doit être composer de 4 chiffres
                                </ion-text>
                            </p> -->
                        </div>
                    </div>
                </div>
                <br>
            </div>
        </form>
    </div>

    

</ion-content>
<ion-footer>
    <div class="bottomContainer">
        <div class="bottomBlock">
            <ion-button class="btnBlock" (click)="effacerDonnees()" fill="clear">
                <ion-icon name="arrow-dropleft-circle" slot="start"></ion-icon>
                précédent
            </ion-button>
            <ion-button class="btnBlock" (click)="verifierInformations()" slot="end"  fill="clear">
                suivant
                <ion-icon name="arrow-dropright-circle" slot="end"></ion-icon>
            </ion-button>
        </div>
    </div>
</ion-footer>